package sgc.portal.cw.cw1604.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1604.model.CW16040001U;
import sgc.portal.cw.cw1604.dto.CW16040001USearch;

import java.util.List;

@Mapper
public interface CW16040001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW16040001USearch search);

    int insert(CW16040001U cW16040001U);

    int update(CW16040001U cW16040001U);

    int delete(CW16040001U cW16040001U);
    
    int updateStatus(CW16040001U cW16040001U);
    
    int saveSendCnt(CW16040001U cW16040001U);
    
    int deleteAtchfileId(CW16040001U cW16040001U);
    int selectAtchfileIdCount(CW16040001U cW16040001U);
	
	String selectSenderEmail(CW16040001U cW16040001U);
	
	String selectRecvEmail(CW16040001U cW16040001U);
	
	String selectWorkNm(CW16040001U cW16040001U);
}
